package CHAPTER14;

import java.net.*;  // 네트워크 관련 클래스를 사용하기 위해 java.net 패키지 임포트

public class InetAddressExample {
    public static void main(String[] args) throws Exception {
        // 로컬 컴퓨터의 InetAddress 객체를 얻음
        InetAddress local = InetAddress.getLocalHost();

        // 로컬 호스트 이름 출력
        System.out.println("로컬 호스트 이름: " + local.getHostName());

        // 로컬 IP 주소 출력
        System.out.println("로컬 IP 주소: " + local.getHostAddress());

        // "www.hanbit.co.kr/academy/"의 InetAddress 객체를 얻음
        InetAddress hanbit = InetAddress.getByName("www.hanbit.co.kr");

        // 한빛의 IP 주소 출력
        System.out.println("한빛아카데미 IP: " + hanbit.getHostAddress());
    }
}